// 
// This file is part of MolMeccano, a cross-platform C++ chemical library.
//
// Copyright (C) 2001-2007 Alexey Nikitin
//
#ifndef STD_TEXT_OUTPUT_H
#define STD_TEXT_OUTPUT_H

#ifndef TEXT_OUTPUT_H
#include "Text_output.h"
#endif

namespace MM
{

class Text;

class Std_text_output : public Text_output
{
public:    
    Std_text_output();

    virtual Text_output & text( const Text & );
    virtual Text_output & line( const Text & );
    virtual Text_output & flush();
};

}//MolMeccano

#endif //STD_TEXT_OUTPUT_H
